Loading...
Searching...
No Matches
dvlen.c File Reference

Functions for VLEN Types. More...

`#include "ncdispatch.h"`
Include dependency graph for dvlen.c:

Go to the source code of this file.

## Functions

int | nc_get_vlen_element (int ncid, int typeid1, const void *vlen_element, size_t *len, void *data)
int | nc_put_vlen_element (int ncid, int typeid1, void *vlen_element, size_t len, const void *data)
Variable Length Array Types
Functions to create and learn about VLEN types.
int | nc_def_vlen (int ncid, const char *name, nc_type base_typeid, nc_type *xtypep)
| Use this function to define a variable length array type.
int | nc_free_vlen (nc_vlen_t *vl)
| Free memory in a single VLEN object.
int | nc_free_vlens (size_t nelems, nc_vlen_t vlens[])
| Free an array of vlens given the number of elements and an array.
int | nc_inq_vlen (int ncid, nc_type xtype, char *name, size_t *datum_sizep, nc_type *base_nc_typep)
| Learn about a VLEN type.

## Detailed Description

Functions for VLEN Types.

Copyright 2018 University Corporation for Atmospheric Research/Unidata. See COPYRIGHT file for more info.

Definition in file dvlen.c.

## Function Documentation

## nc_get_vlen_element()

int nc_get_vlen_element | ( | int | ncid,
|  | int | typeid1,
|  | const void * | vlen_element,
|  | size_t * | len,
|  | void * | data )

Definition at line 179 of file dvlen.c.

## nc_put_vlen_element()

int nc_put_vlen_element | ( | int | ncid,
|  | int | typeid1,
|  | void * | vlen_element,
|  | size_t | len,
|  | const void * | data )

Definition at line 151 of file dvlen.c.